local ver = love.getVersion()
local range = ver >= 11 and 1 or 256

local sprite

function love.load()
	sprite = love.graphics.newImage("demonizer.png")
end

function love.draw()
	local pulse = range*(2 + math.cos(love.timer.getTime()*math.pi))
	love.graphics.setColor(pulse, range, pulse, range)
	local gw = love.graphics.getWidth()
	local gh = love.graphics.getHeight()
	love.graphics.circle("fill", gw/4, gh/2, 100)
	love.graphics.draw(sprite,
		-sprite:getWidth()/2 + gw*3/4,
		-sprite:getHeight()/2 + gh/2)
end
